<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_aux_unid.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $unidade = $_POST['unidade'];
    $i = $_POST['i'];
    $f = $_POST['f'];
    $grup = $_POST['grup'];
    $cor = $_POST['cor'];
    $f ++;
    $ic = $i;
    if($grup == "" || $grup == null){
        while ($ic < $f){
            $atualizar=$pdo_sgt->prepare("UPDATE tb_map_ip SET cor=:cor WHERE unidade=:unidade AND id=:id");
            $atualizar->bindValue(":cor",$cor);
            $atualizar->bindValue(":unidade",$unidade);
            $atualizar->bindValue(":id",$ic);
            $atualizar->execute();
            $mensagem = "Dado alterado na tabela: tb_map_ip - "
            . "Para o campo: cor - "
            . "Com o seguinte valore: $cor "
            . "Do id: $ic.";
            salvaLog($mensagem);
            $ic ++;  
        }
        echo"<script language='javascript' type='text/javascript'>
                window.location.href='list_ip_unid.php#id".$i."';
            </script>";
    }else{
        if($cor == "#000000"){
            while ($ic < $f){
                $atualizar=$pdo_sgt->prepare("UPDATE tb_map_ip SET grupo=:grupo WHERE unidade=:unidade AND id=:id");
                $atualizar->bindValue(":grupo",$grup);
                $atualizar->bindValue(":unidade",$unidade);
                $atualizar->bindValue(":id",$ic);
                $atualizar->execute();
                $mensagem = "Dado alterado na tabela: tb_map_ip - "
                . "Para o campo: grupo - "
                . "Com o seguinte valore: $grup "
                . "Do id: $ic.";
                salvaLog($mensagem);
                $ic ++;  
            }
            echo"<script language='javascript' type='text/javascript'>
                window.location.href='list_ip_unid.php#id".$i."';
            </script>";
        }else{
            while ($ic < $f){
                $atualizar=$pdo_sgt->prepare("UPDATE tb_map_ip SET grupo=:grupo, cor=:cor WHERE unidade=:unidade AND id=:id");
                $atualizar->bindValue(":grupo",$grup);
                $atualizar->bindValue(":cor",$cor);
                $atualizar->bindValue(":unidade",$unidade);
                $atualizar->bindValue(":id",$ic);
                $atualizar->execute();
                $mensagem = "Dados alterados na tabela: tb_map_ip - "
                . "Para os campos: grupo, cor - "
                . "Com os seguintes valores: $grup, $cor "
                . "Do id: $ic.";
                salvaLog($mensagem);
                $ic ++;  
            }
            echo"<script language='javascript' type='text/javascript'>
                window.location.href='list_ip_unid.php#id".$i."';
            </script>";
        }
    }
?>